#### D.2.11.1 changechar

Procedure from library `ring.lib` (see ring_lib).

Usage:
  changechar(c[,r]); c=list, r=ring

Return:
  ring R, obtained from the ring r [default: r=basering], by changing ringlist(r)[1] to c.

Example:

    LIB "ring.lib";
    ring rr=2,A,dp;
    ring r=0,(x,y,u,v),(dp(2),ds);
    def R=changechar(ringlist(rr)); R;"";
    ==> //   characteristic : 2
    ==> //   1 parameter    : A
    ==> //   minpoly        : 0
    ==> //   number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y
    ==> //        block   2 : ordering ds
    ==> //                  : names    u v
    ==> //        block   3 : ordering C
    ==>
    def R1=changechar(32003,R); setring R1; R1;
    ==> //   characteristic : 32003
    ==> //   number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y
    ==> //        block   2 : ordering ds
    ==> //                  : names    u v
    ==> //        block   3 : ordering C
    kill R,R1;

User manual for Singular version 4-0-3, 2016, generated by texi2html.